Package org.apache.qpid.proton.engine.impl.ssl

# Class SslEngineFacadeFactory

java.lang.Object
org.apache.qpid.proton.engine.impl.ssl.SslEngineFacadeFactory

public class SslEngineFacadeFactory extends Object

## Method Summary

Modifier and Type
Method
Description
`ProtonSslEngine`
`createProtonSslEngine(SslDomain domain, SslPeerDetails peerDetails)`
Returns a `ProtonSslEngine`.
`void`
`resetCache()`
Guarantees that no cached settings are used in subsequent calls to `createProtonSslEngine(SslDomain, SslPeerDetails)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createProtonSslEngine

public ProtonSslEngine createProtonSslEngine(SslDomain domain, SslPeerDetails peerDetails)
Returns a `ProtonSslEngine`. May cache the domain's settings so callers should invoke `resetCache()` if the domain changes.

Parameters:
  `peerDetails` - may be used to return an engine that supports SSL resume.

### resetCache

public void resetCache()
Guarantees that no cached settings are used in subsequent calls to `createProtonSslEngine(SslDomain, SslPeerDetails)`.